% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/auto-rw30.R
\name{rw30}
\alias{rw30}
\title{Generate Random Walks}
\usage{
rw30()
}
\value{
A tibble in long format with columns \code{walk}, \code{x}, and \code{value},
representing the random walks. Additionally, attributes \code{num_walks},
\code{num_steps}, \code{mu}, and \code{sd} are attached to the tibble.
}
\description{
Generate Random Walks
}
\details{
The function generates random walks using the normal distribution with a
specified mean (\code{mu}) and standard deviation (\code{sd}).
Each walk is generated independently and stored in a tibble. The resulting
tibble is then pivoted into a long format for easier analysis.
}
\examples{
library(ggplot2)

# Generate random walks and print the result
set.seed(123)
rw30()

set.seed(123)
rw30() |>
 ggplot(aes(x = x, y = y, color = walk_number, group = walk_number)) +
 geom_line() +
 theme_minimal() +
 theme(legend.position = "none") +
 labs(
   title = "30 Random Walks",
   x = "Step",
   y = "Value",
   color = "Walk Number"
 )

}
\author{
Steven P. Sanderson II, MPH

This function generates 30 random walks with 100 steps each and pivots the
result into a long format tibble.
}
\concept{Auto Random Walk}
